import { DocumentDocMIcon } from '@alfalab/icons-glyph/DocumentDocMIcon';
import { DocumentImageMIcon } from '@alfalab/icons-glyph/DocumentImageMIcon';
import { DocumentPdfMIcon } from '@alfalab/icons-glyph/DocumentPdfMIcon';
import { DocumentTxtMIcon } from '@alfalab/icons-glyph/DocumentTxtMIcon';
import { DocumentUnknownMIcon } from '@alfalab/icons-glyph/DocumentUnknownMIcon';

function humanFileSize(size) {
    const units = ['Б', 'КБ', 'МБ', 'ГБ'];
    let humanSize = Number(size);
    let factor = 0;
    while (humanSize >= 1024 && factor < units.length - 1) {
        humanSize /= 1024;
        factor += 1;
    }
    humanSize = humanSize.toFixed(2);
    return `${Number(humanSize)} ${units[factor]}`;
}
const getExtension = (filename) => filename.toLowerCase().split('.').pop();
function fileIcon(filename) {
    const extension = getExtension(filename);
    switch (extension) {
        case 'png':
        case 'jpg':
        case 'jpeg':
        case 'svg':
        case 'tif':
        case 'tiff':
            return DocumentImageMIcon;
        case 'doc':
        case 'docx':
            return DocumentDocMIcon;
        case 'pdf':
            return DocumentPdfMIcon;
        case 'txt':
            return DocumentTxtMIcon;
        default:
            return DocumentUnknownMIcon;
    }
}

export { fileIcon, getExtension, humanFileSize };
